
# Optimized Strategy Parameters
sma_params = (3, 20)
ema_params = (3, 20)
rsi_params = (10, 20, 60)

# Function to generate signals with optimized parameters
def generate_optimized_signals(historical_data, sma_params, ema_params, rsi_params):
    sma_signals = sma_crossover_strategy(historical_data, *sma_params)
    ema_signals = ema_crossover_strategy(historical_data, *ema_params)
    rsi_signals = rsi_strategy(historical_data, *rsi_params)
    combined_signals = combine_signals(sma_signals, ema_signals, rsi_signals)
    return combined_signals

# Generate signals using the optimized parameters
historical_data = test_fetch_historical_data()
optimized_signals = generate_optimized_signals(historical_data, sma_params, ema_params, rsi_params)

# Run backtest with optimized signals
optimized_backtest = mock_execute_backtest(optimized_signals)

# Visualize the optimized strategy performance
plot_performance('Optimized Combined Strategy', optimized_backtest)
