document.addEventListener("DOMContentLoaded", function() {
    const socket = io.connect(location.protocol + '//' + document.domain + ':' + location.port);

    socket.on('investmentAmountUpdateSuccess', function(data) {
        console.log('Success:', data);
        alert('Investment amount updated successfully');
    });

    socket.on('investmentAmountUpdateFailed', function(data) {
        console.error('Update failed:', data.error);
        alert('Error: ' + data.error);
    });

    document.getElementById('investmentAmount').addEventListener('input', function(event) {
        let investmentAmount = event.target.value.replace(/,/g, '');
        if (!isNaN(investmentAmount) && investmentAmount !== '') {
            investmentAmount = parseInt(investmentAmount);
            event.target.value = formatNumberWithCommas(investmentAmount);

            socket.emit('updateInvestmentAmount', { investmentAmount: investmentAmount });
        } else {
            event.target.value = '';
        }
    });

    document.getElementById('start-trading').addEventListener('click', function() {
        socket.emit('startTrading');
        alert('자동매매가 시작되었습니다.');
    });

    document.getElementById('stop-trading').addEventListener('click', function() {
        socket.emit('stopTrading');
        alert('자동매매가 중지되었습니다.');
    });

    function formatNumberWithCommas(x) {
        return x.toString().replace(/\B(?=(\d{3})+(?!\d))/g, ",");
    }
});
