import matplotlib.pyplot as plt

def plot_performance(portfolio, signals):
    fig, (ax1, ax2) = plt.subplots(2, 1, figsize=(14, 10))

    # 가격과 신호 플롯
    ax1.plot(signals.index, signals['price'], label='Price')
    ax1.plot(signals.loc[signals['position'] == 1.0].index, 
             signals['price'][signals['position'] == 1.0],
             '^', markersize=10, color='g', lw=0, label='Buy Signal')
    ax1.plot(signals.loc[signals['position'] == -1.0].index, 
             signals['price'][signals['position'] == -1.0],
             'v', markersize=10, color='r', lw=0, label='Sell Signal')
    ax1.set_title('Price and Buy/Sell Signals')
    ax1.set_xlabel('Date')
    ax1.set_ylabel('Price')
    ax1.legend()

    # 포트폴리오 가치 플롯
    ax2.plot(portfolio.index, portfolio['total'], label='Portfolio Value')
    ax2.set_title('Portfolio Value Over Time')
    ax2.set_xlabel('Date')
    ax2.set_ylabel('Portfolio Value')
    ax2.legend()

    plt.tight_layout()
    plt.show()
